

package gov.va.med.cds.ars.exception;


import gov.va.med.cds.exception.AbstractCdsBaseException;
import gov.va.med.cds.exception.ErrorCodeEnum;


/**
 * Exception thrown by request processing component.
 * 
 * 
 */
public class RequestProcessingException
    extends
        AbstractCdsBaseException
{

    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;


	public RequestProcessingException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }


    public RequestProcessingException( ErrorCodeEnum errorCodeName, String... messages )
    {
        super( errorCodeName, messages );
    }


    public RequestProcessingException( ErrorCodeEnum errorCode, Throwable cause, String... customMsg )
    {
        super( errorCode, cause, customMsg );
    }

}
